#include "bsp_beep_led_emv.h"

#if 0
void BSP_BOOST_Init(void)
{

}

void BSP_BOOST_DeInit(void)
{
    // 12V_EN
    GPIOB_ResetBits(GPIO_Pin_14);
    GPIOB_ModeCfg(GPIO_Pin_14, GPIO_ModeIN_PD);
}


void BSP_BEEP_Init(void)
{
    // BEEP
    GPIOA_ResetBits(GPIO_Pin_14);
    GPIOA_ModeCfg(GPIO_Pin_14, GPIO_ModeOut_PP_5mA);
}

void BSP_BEEP_DeInit(void)
{
    // BEEP
    GPIOA_ResetBits(GPIO_Pin_14);
    // 有数字晶体管的下拉
    GPIOA_ModeCfg(GPIO_Pin_14, GPIO_ModeIN_Floating);
}

void BSP_LED_Init(void)
{
    // LED_R
    GPIOA_ResetBits(GPIO_Pin_4);
    GPIOA_ModeCfg(GPIO_Pin_4, GPIO_ModeOut_PP_5mA);

    // LED_G
    GPIOA_ResetBits(GPIO_Pin_5);
    GPIOA_ModeCfg(GPIO_Pin_5, GPIO_ModeOut_PP_5mA);

    // LED_Y
    GPIOA_ResetBits(GPIO_Pin_15);
    GPIOA_ModeCfg(GPIO_Pin_15, GPIO_ModeOut_PP_5mA);
}

void BEP_LED_DeInit(void)
{
    // LED
    GPIOA_ResetBits(GPIO_Pin_4 | GPIO_Pin_5 | GPIO_Pin_15);
    // 有数字晶体管的下拉
    GPIOA_ModeCfg(GPIO_Pin_4 | GPIO_Pin_5 | GPIO_Pin_15, GPIO_ModeIN_Floating);
}

void BSP_EMV_Init(void)
{
    // EMV_CHARGE
    GPIOB_ResetBits(GPIO_Pin_13);
    GPIOB_ModeCfg(GPIO_Pin_13, GPIO_ModeOut_PP_5mA);

    // EMV_EN
    GPIOB_ResetBits(GPIO_Pin_12);
    GPIOB_ModeCfg(GPIO_Pin_12, GPIO_ModeOut_PP_5mA);
}

void BSP_EMV_DeInit(void)
{
    // EMV_CHARGE
    GPIOB_ResetBits(GPIO_Pin_13);
    // 有数字晶体管的下拉
    GPIOB_ModeCfg(GPIO_Pin_13, GPIO_ModeIN_Floating);

    // EMV_EN
    GPIOB_ResetBits(GPIO_Pin_12);
    // 有外部下拉电阻
    GPIOB_ModeCfg(GPIO_Pin_12, GPIO_ModeIN_Floating);
}
#endif


